import Writer from './writer';
export declare class WriterRequiredProvider extends Writer {
    name: string;
    source: string;
    version: string;
    constructor(name: string, source: string, version: string);
    _render(): Promise<void>;
}
